Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.mixture.gibbssampling
Class BurnInTest

    java.lang.Object
      de.jstacs.models.mixture.gibbssampling.BurnInTest

All Implemented Interfaces:
  Storable, Cloneable

Direct Known Subclasses:
  SimpleBurnInTest

    public abstract class BurnInTest

extends Object
implements Cloneable, Storable

This is the abstract super class for any test of the length of the burn-in phase.

Author:
  Jens Keilwagen

Constructor Summary
`BurnInTest()`

Method Summary
`BurnInTest` | `clone()`
`abstract String` | `getInstanceName()` Returns a short description of the burn-in test.
`abstract int` | `getLengthOfBurnIn(int index)` Return the length of the burn in phase of sampling `index`.
`abstract void` | `resetAllValues()` This method can be used to remove all values from the internal memory.
`abstract void` | `setCurrentSamplingIndex(int index)` This method sets the value of the current sampling. this allows to assign th evalues form `setValue(double)` to a sampling.
`abstract void` | `setValue(double val)` This method can be used to fill the internal memory with the values that will be used to determine the length of the burn-in phase.
`abstract void` | `test()` Computes the length of the burn-in phase using the values from `setValue(double)`.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.jstacs.Storable
`toXML`

Constructor Detail

### BurnInTest

    public BurnInTest()

Method Detail

### clone

    public BurnInTest clone()
                     throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### setCurrentSamplingIndex

    public abstract void setCurrentSamplingIndex(int index)

  This method sets the value of the current sampling. this allows to assign th evalues form `setValue(double)` to a sampling.

  Parameters:
    `index` - the index of the sampling

### setValue

    public abstract void setValue(double val)

  This method can be used to fill the internal memory with the values that will be used to determine the length of the burn-in phase.

  Parameters:
    `val` - the value

### test

    public abstract void test()

  Computes the length of the burn-in phase using the values from `setValue(double)`.

### resetAllValues

    public abstract void resetAllValues()

  This method can be used to remove all values from the internal memory.

### getLengthOfBurnIn

    public abstract int getLengthOfBurnIn(int index)

  Return the length of the burn in phase of sampling `index`.

  Parameters:
    `index` - the index of the sampling
  Returns:
    the length of the burn in phase of sampling `index`

### getInstanceName

    public abstract String getInstanceName()

  Returns a short description of the burn-in test.

  Returns:
    a short description of the burn-in test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD